<?php 

/*
Plugin Name: Facebook Traffic Pop for WordPress
Plugin Script: fb-traffic-pop.php
Plugin URI: http://codecanyon.net
Description: Tap into Facebook's 500 million plus users now with the hottest Facebook traffic plugin. Facebook traffic pop is a new breed of 'popups' that will allow you to have your users like your pages, instead of trying to get them to click ads. More likes = more exposure = more traffic = more money!
Version: 2.0.1
Author: Tyler Colwell
Author URI: http://tyler.tc

--- THIS PLUGIN AND ALL FILES INCLUDED ARE COPYRIGHT © TYLER COLWELL 2011. 
YOU MAY NOT MODIFY, RESELL, DISTRIBUTE, OR COPY THIS CODE IN ANY WAY. ---

*/

// Run the Js Loader
add_action('init', 'fbtp_jsloader');

// Add hook to include settings CSS
add_action( 'admin_init', 'fbtpsettings_admin_css' );

// create custom plugin settings menu
add_action('admin_menu', 'fbtpop_create_menu');

// include required files in header
add_action('wp_head', 'FBTrafficPop');

// Added to fix jQuery.function errors
// This will make sure all of the JS is only called once!
function fbtp_jsloader() {
	
	// Make sure we are not in the admin section
	if (!is_admin()) {

		// Root wp-content path
		$root = get_bloginfo('wpurl')."/wp-content";
		
		// Flush the JS
		wp_deregister_script('jquery');
		wp_deregister_script('fbsdk');
		wp_deregister_script('fbtp');

		// Register them with fresh calls
		wp_register_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js', false, '1.6.1', true);
		wp_register_script('fbsdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1');
		wp_register_script('fbtp', ''.$root.'/plugins/'.basename(dirname(__FILE__)).'/fb-like-pop.js', false, '2.0', true);

		// Include them
		wp_enqueue_script('jquery');
		wp_enqueue_script('fbsdk');
		wp_enqueue_script('fbtp');
		
		// Flush, register, enque Traficc Pop CSS
		wp_deregister_style('fbtpCSS');
		wp_register_style('fbtpCSS', ''.$root.'/plugins/'.basename(dirname(__FILE__)).'/fb-like-pop.css');
		wp_enqueue_style('fbtpCSS');
		
	}
	
}





// This is the function to create the options menu
function fbtpop_create_menu() {
	
	// Adds the tab into the options panel in WordPress Admin area
	$page = add_options_page("Facebook Traffic Pop Settings", "FBTPOP Settings", 'administrator', __FILE__, "fbtpop_settings_page");

	//call register settings function
	add_action( 'admin_init', 'register_mysettings' );
	
	// Hook style sheet loading
	add_action( 'admin_print_styles-' . $page, 'fbtpsettings_admin_cssloader' );
	
}





// Add style sheet for plugin settings
function fbtpsettings_admin_css(){
	
	/* Register our stylesheet. */
	wp_register_style( 'fbtpsettings', WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)).'/settings.css' );
	
} // end include settings CSS





// Load style sheet
function fbtpsettings_admin_cssloader(){
	
       // It will be called only on your plugin admin page, enqueue our stylesheet here
       wp_enqueue_style( 'fbtpsettings' );
	   
} // End admin style CSS





// This is the main function that will be called from the template files
function FBTrafficPop(){

	// Get all of the options required for the popup
	$fb_title = get_option('fbtpop-title');
	$fb_message = get_option('fbtpop-message');
	$fb_url = get_option('fbtpop-url');
	$fb_showfaces = get_option('fbtpop-showfaces');
	$fb_countdown = get_option('fbtpop-countdown');
	$fb_wait = get_option('fbtpop-wait');
	$fb_close = get_option('fbtpop-close');
	$fb_enabled = get_option('fbtpop-enabled');
	$fb_lang = get_option('fbtpop-lang');
	$fb_opacity = get_option('fbtpop-opacity');
	$fb_advanced = get_option('fbtpop-advanced');
		
	// Only continue if the pop-up option is enabled...
	if($fb_enabled == 'true'){ ?>
							
			<script language="javascript">
					
				jQuery(document).ready(function() {		
								
					jQuery().facebookTrafficPop({
						'timeout':'<?PHP echo $fb_countdown; ?>', 
						'title':'<?PHP echo $fb_title; ?>',
						'message':'<?PHP echo $fb_message; ?>',
						'url':'<?PHP echo $fb_url; ?>',
						'lang':'<?PHP echo $fb_lang; ?>',
						'wait':'<?PHP echo $fb_wait; ?>',
						'opacity':'<?PHP echo $fb_opacity; ?>',
						'advancedClose':<?PHP echo $fb_advanced; ?>,
						'closeable':<?PHP echo $fb_close; ?>,
						'showfaces':<?PHP echo $fb_showfaces; ?>
					});
					
				});
				
			</script>

	<?PHP
		
	} // End if enabled
		
} // End main function





function register_mysettings() {
	
	// Register our settings
	register_setting( 'fbtpop-settings-group', 'fbtpop-title');
	register_setting( 'fbtpop-settings-group', 'fbtpop-message' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-url' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-showfaces' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-countdown' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-wait' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-close' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-enabled' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-lang' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-opacity' );
	register_setting( 'fbtpop-settings-group', 'fbtpop-advanced' );
	
	// Apply default options to settings
	add_option( 'fbtpop-opacity', '0.25' );
	add_option( 'fbtpop-advanced', 'false' );
	add_option( 'fbtpop-close', 'false' );
	add_option( 'fbtpop-enabled', 'false' );
	add_option( 'fbtpop-showfaces', 'false' );

}





function fbtpop_settings_page() {
		
    // If the save button is pressed:
    if( isset($_POST['saveS']) ) {
		
        // Save the posted value in the database
		update_option('fbtpop-title', $_POST['fbtpop-title']);
		update_option('fbtpop-message', $_POST['fbtpop-message']);
		update_option('fbtpop-url', $_POST['fbtpop-url']);
		update_option('fbtpop-showfaces', $_POST['fbtpop-showfaces']);
		update_option('fbtpop-countdown', $_POST['fbtpop-countdown']);
		update_option('fbtpop-wait', $_POST['fbtpop-wait']);
		update_option('fbtpop-close', $_POST['fbtpop-close']);
		update_option('fbtpop-enabled', $_POST['fbtpop-enabled']);
		update_option('fbtpop-opacity', $_POST['fbtpop-opacity']);
		update_option('fbtpop-advanced', $_POST['fbtpop-advanced']);

		// Now we can display the options page HTML:
?>

        <div class="updated"><p><strong><?php _e('settings saved.', 'menu-test' ); ?></strong></p></div>

<?php } ?>

<div class="wrap tq_wrap">
    
    <form method="post" action="options.php">
    <?php settings_fields( 'fbtpop-settings-group' ); ?>

	<div class="tq_heading"><div>Facebook Traffic Pop Settings</div></div>
    
	<div class="tq_option">
    
        <label for="fbtpop-enabled">Enable / Disable Traffic Pop</label>

			<select name="fbtpop-enabled" id="fbtpop-enabled">
                <option value="true" <?PHP if(get_option('fbtpop-enabled') == 'true'){echo 'selected="selected"';} ?>>Enabled</option>
                <option value="false" <?PHP if(get_option('fbtpop-enabled') == 'false'){echo 'selected="selected"';} ?>>Disabled</option>
			</select>

		<div class="tq_description">Turn on / off the Facebook Traffic Pop.</div> 
        
    </div>

	<div class="tq_option alt">
    
        <label for="fbtpop-language">Language / Localization</label>

        <select name="fbtpop-lang" id="fbtpop-lang">
            <option value="en" <?PHP if(get_option('fbtpop-lang') == 'en'){echo 'selected="selected"';} ?>>EN</option>
            <option value="es" <?PHP if(get_option('fbtpop-lang') == 'es'){echo 'selected="selected"';} ?>>ES</option>
            <option value="de" <?PHP if(get_option('fbtpop-lang') == 'de'){echo 'selected="selected"';} ?>>DE</option>
            <option value="it" <?PHP if(get_option('fbtpop-lang') == 'it'){echo 'selected="selected"';} ?>>IT</option>
            <option value="fr" <?PHP if(get_option('fbtpop-lang') == 'fr'){echo 'selected="selected"';} ?>>FR</option>
        </select>

		<div class="tq_description">What language pack should the popup use?</div> 
        
    </div>

    <div class="tq_option">
    
        <label for="fbtpop-showfaces">Show Faces</label>

			<select name="fbtpop-showfaces" id="onoff">
			  <option value="true" <?PHP if(get_option('fbtpop-showfaces') == 'true'){echo 'selected="selected"';} ?> >Yes</option>
			  <option value="false" <?PHP if(get_option('fbtpop-showfaces') == 'false'){echo 'selected="selected"';} ?> >No</option>
        </select>
        
        <div class="tq_description">If enabled the Like button will display other user's photos.</div>
        
    </div>

    <div class="tq_option alt">
    
        <label for="fbtpop-close">Show Close Button</label>

			<select name="fbtpop-close" id="onoff">
                <option value="true" <?PHP if(get_option('fbtpop-close') == 'true'){echo 'selected="selected"';} ?> >Yes</option>
                <option value="false" <?PHP if(get_option('fbtpop-close') == 'false'){echo 'selected="selected"';} ?> >No</option>
			</select>
        
        <div class="tq_description">Enable / Disable the close button.</div>
        
    </div>

    <div class="tq_option">
    
        <label for="fbtpop-advanced">ESC & Outside Click to Close</label>

			<select name="fbtpop-advanced" id="onoff">
                <option value="true" <?PHP if(get_option('fbtpop-advanced') == 'true'){echo 'selected="selected"';} ?>>Enabled</option>
                <option value="false" <?PHP if(get_option('fbtpop-advanced') == 'false'){echo 'selected="selected"';} ?>>Disabled</option>
			</select>
        
        <div class="tq_description">If enabled, users can close the popup by pressing the escape key or clicking outside of the popup.</div>
        
    </div>

    <div class="tq_option alt">
    
        <label for="fbtpop-title">Popup Title</label>

		<input class="field" name="fbtpop-title" type="text" id="fbtpop-title" value="<?php echo get_option('fbtpop-title'); ?>" />
                        
        <div class="tq_description">Title / titlebar text of your popup.</div>
        
    </div>

    <div class="tq_option">
    
        <label for="fbtp-url">URL To Like</label>

		<input class="field" name="fbtpop-url" type="text" id="fbtpop-url" value="<?php echo get_option('fbtpop-url'); ?>" />
        
        <div class="tq_description">The URL you want to be 'Liked' on Facebook.</div>
        
    </div>

    <div class="tq_option alt">
    
        <label for="fbtp-message">Popup Message</label>
        
        <textarea name="fbtpop-message" cols="" rows="5" id="fbtp-message"><?php echo get_option('fbtpop-message'); ?></textarea>
        
        <div class="tq_description">The message you want to show inside your popup.</div>

    </div>

    <div class="tq_option">
    
        <label for="google_h2_font">Countdown Length</label>

		<input class="field" name="fbtpop-countdown" type="text" id="fbtpop-countdown" value="<?php echo get_option('fbtpop-countdown'); ?>" />
        
        <div class="tq_description">The amount of time (in seconds) the timer should run for before closing the popup.</div>
        
    </div>

    <div class="tq_option alt">
    
        <label for="google_h2_font">Wait Timer</label>

		<input class="field" name="fbtpop-wait" type="text" id="fbtpop-wait" value="<?php echo get_option('fbtpop-wait'); ?>" />
        
        <div class="tq_description">The number of minuets FBTP should wait before showing the popup again.</div>
        
    </div>

    <div class="tq_option">
    
      <label for="google_h2_font">Background Opacity</label>

		<input class="field" name="fbtpop-opacity" type="text" id="fbtpop-opacity" value="<?php echo get_option('fbtpop-opacity'); ?>" />
        
        <div class="tq_description">Background / page shadow opacity. Default is 0.25</div>
        
    </div>

    <div class="tq_option alt">
    
        <div class="tq_description"><a href="http://developers.facebook.com/docs/reference/plugins/like/" target="_blank">Click here to generate Open Graph tags.</a></div> 
		
        <div class="tq_description">If you want Facebook to display a title, description, and cusomtized image / icon in people's profile streams you need to apply OpenGraph metatags to the url that your are likeing. </div>
        
    </div>        

    <div class="tq_option right">
    
        <input type="submit" name="settingsBtn" id="settingsBtn" class="button-primary" value="<?php _e('Save Changes') ?>" />
        
    </div>        

	</form>

</div>

<?php } ?>